%global momorel 1

Summary: SELinux Translation Daemon
Name: mcstrans
Version: 0.2.11
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
Source: http://fedora.redhat.com/projects/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libselinux-devel >= 1.30.3-1
BuildRequires: libcap-devel 
Requires(pre): chkconfig, initscripts
Requires(post): chkconfig, initscripts
Provides: setransd
Provides: libsetrans
Obsoletes: libsetrans

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

mcstrans provides an translation daemon to translate SELinux categories 
from internal representations to user defined representation.

%prep
%setup -q

%build
make clean
make CFLAGS="-g %{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_lib} 
mkdir -p %{buildroot}/%{_libdir} 
make DESTDIR="%{buildroot}" LIBDIR="%{buildroot}%{_libdir}" SHLIBDIR="%{buildroot}/%{_lib}" INITDIR="%{buildroot}%{_sysconfdir}/init.d" install
rm -f %{buildroot}%{_sbindir}/*
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%post 
chkconfig --add mcstrans
if [ -f /var/lock/subsys/mcstransd ]; then
   mv /var/lock/subsys/mcstransd /var/lock/subsys/mcstrans
fi

%preun
if [ $1 -eq 0 ]; then
   service mcstrans stop > /dev/null 2>&1
   chkconfig --del mcstrans
fi

%postun 
if [ $1 -ge 1 ]; then
   service mcstrans condrestart > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,0755)
%{_mandir}/man8/mcs.8.bz2
/sbin/mcstransd
%{_sysconfdir}/init.d/mcstrans

%changelog
* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.11-1m)
- update 0.2.11

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gcc43

* Fri Mar  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.5-1m)
- update 0.2.5

* Fri Feb 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-1m)
- update 0.2.3

* Mon Jan 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.10-2m)
- /etc/rc.d/init.d/mcstrans -> /etc/init.d/mcstrans
- modify Requires

* Mon Jan 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.10-1m)
- initial commit
- import from FedoraCore

